Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.admin
Class TasksAdminImpl

    java.lang.Object
      org.jbpm.task.admin.TasksAdminImpl

All Implemented Interfaces:
  TasksAdmin

    public class TasksAdminImpl

extends Object
implements TasksAdmin

Field Summary
`protected TaskPersistenceManager` | `tpm`

Constructor Summary
`TasksAdminImpl(TaskPersistenceManager tpm)`

Method Summary
`int` | `archiveTasks(List<TaskSummary> tasks)`
`void` | `dispose()`
`List<TaskSummary>` | `getActiveTasks()`
`List<TaskSummary>` | `getActiveTasks(Date since)`
`List<TaskSummary>` | `getArchivedTasks()`
`List<TaskSummary>` | `getCompletedTasks()`
`List<TaskSummary>` | `getCompletedTasks(Date since)`
`List<TaskSummary>` | `getCompletedTasksByProcessId(Long processId)`
`int` | `removeTasks(List<TaskSummary> tasks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tpm

    protected TaskPersistenceManager tpm

Constructor Detail

### TasksAdminImpl

    public TasksAdminImpl(TaskPersistenceManager tpm)

Method Detail

### getActiveTasks

    public List<TaskSummary> getActiveTasks()

  Specified by:
    `getActiveTasks` in interface `TasksAdmin`

### getActiveTasks

    public List<TaskSummary> getActiveTasks(Date since)

  Specified by:
    `getActiveTasks` in interface `TasksAdmin`

### getCompletedTasks

    public List<TaskSummary> getCompletedTasks()

  Specified by:
    `getCompletedTasks` in interface `TasksAdmin`

### getCompletedTasks

    public List<TaskSummary> getCompletedTasks(Date since)

  Specified by:
    `getCompletedTasks` in interface `TasksAdmin`

### getCompletedTasksByProcessId

    public List<TaskSummary> getCompletedTasksByProcessId(Long processId)

  Specified by:
    `getCompletedTasksByProcessId` in interface `TasksAdmin`

### archiveTasks

    public int archiveTasks(List<TaskSummary> tasks)

  Specified by:
    `archiveTasks` in interface `TasksAdmin`

### removeTasks

    public int removeTasks(List<TaskSummary> tasks)

  Specified by:
    `removeTasks` in interface `TasksAdmin`

### getArchivedTasks

    public List<TaskSummary> getArchivedTasks()

  Specified by:
    `getArchivedTasks` in interface `TasksAdmin`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `TasksAdmin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.